View Issue Details

IDProjectCategoryView StatusLast Update
0001918ArchBugpublic2015-04-27 14:08
Reportermghansen256Assigned Toyorik 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformKubuntu LinuxOSOS Version
Product Version 
Target VersionFixed in Version0.16 
Summary0001918: Python exception when setting section view`s rendering to solid
DescriptionTraceback (most recent call last):
  File "/usr/lib/freecad/Mod/Arch/ArchSectionPlane.py", line 282, in execute
    self.onChanged(obj,"Source")
  File "/usr/lib/freecad/Mod/Arch/ArchSectionPlane.py", line 341, in onChanged
    self.svg += render.getViewSVG(linewidth="LWPlaceholder")
  File "/usr/lib/freecad/Mod/Arch/ArchVRM.py", line 588, in getViewSVG
    self.sort()
  File "/usr/lib/freecad/Mod/Arch/ArchVRM.py", line 524, in sort
    faces.remove(f1)
<type 'exceptions.ValueError'>: list.remove(x): x not in list
Steps To Reproduce1. Open arch example
2. Go to the drawing page
3. Change the "Rendering Mode" of "View of Section001" from "Wireframe" to "Solid"
-> Exception shown above is generated, and the view of the section is not updated.
Additional InformationOS: Ubuntu 14.10
Word size of OS: 64-bit
Word size of FreeCAD: 64-bit
Version: 0.15.4467 (Git)
Branch: master
Hash: 3f03e954dafaa1cccd558fc2d191dc622f08ce88
Python version: 2.7.8
Qt version: 4.8.6
Coin version: 4.0.0a
OCC version: 6.7.0
TagsNo tags attached.

Activities

yorik

2015-01-15 00:19

administrator   ~0005657

Yes that's normal, the solid renderer is still VERY buggy. We can leave this issue open, but it won't be fixed anytime soon...

yorik

2015-04-27 14:08

administrator   ~0006089

This should be fixed now

Related Changesets

FreeCAD: master bab894b7

2015-04-20 23:34:40

yorik

Details Diff
Arch: Better output of ArchVRM renderer Affected Issues
0001918
mod - src/Mod/Arch/ArchMaterial.py Diff File
mod - src/Mod/Arch/ArchSectionPlane.py Diff File
mod - src/Mod/Arch/ArchVRM.py Diff File
mod - src/Mod/Draft/Draft.py Diff File
mod - src/Mod/Draft/WorkingPlane.py Diff File

Issue History

Date Modified Username Field Change
2015-01-14 20:31 mghansen256 New Issue
2015-01-15 00:19 yorik Note Added: 0005657
2015-01-15 00:19 yorik Assigned To => yorik
2015-01-15 00:19 yorik Status new => assigned
2015-01-19 17:18 yorik Priority normal => low
2015-04-27 14:07 yorik Changeset attached => FreeCAD Master master bab894b7
2015-04-27 14:08 yorik Note Added: 0006089
2015-04-27 14:08 yorik Status assigned => closed
2015-04-27 14:08 yorik Resolution open => fixed
2015-04-27 14:08 yorik Fixed in Version => 0.16